{
  lib,
  config,
  ...
}: {
  config = {
    networking = {
      networkmanager.enable = true;

      firewall = {
        enable = true;
        allowedTCPPorts = [80 443];
      };

      wireless.enable = lib.mkIf config.marleycfg.profiles.server false;
    };
  };
}
